## WDS Get Default Profile Number request WDS Get Default Profile Number request |

## Functions

QmiMessageWdsGetDefaultProfileNumberInput * | qmi_message_wds_get_default_profile_number_input_new ()
QmiMessageWdsGetDefaultProfileNumberInput * | qmi_message_wds_get_default_profile_number_input_ref ()
void | qmi_message_wds_get_default_profile_number_input_unref ()
gboolean | qmi_message_wds_get_default_profile_number_input_get_profile_type ()
gboolean | qmi_message_wds_get_default_profile_number_input_set_profile_type ()
QmiMessageWdsGetDefaultProfileNumberOutput * | qmi_message_wds_get_default_profile_number_output_ref ()
void | qmi_message_wds_get_default_profile_number_output_unref ()
gboolean | qmi_message_wds_get_default_profile_number_output_get_result ()
gboolean | qmi_message_wds_get_default_profile_number_output_get_index ()
gboolean | qmi_message_wds_get_default_profile_number_output_get_extended_error_code ()
void | qmi_client_wds_get_default_profile_number ()
QmiMessageWdsGetDefaultProfileNumberOutput * | qmi_client_wds_get_default_profile_number_finish ()

## Types and Values

| QmiMessageWdsGetDefaultProfileNumberInput
| QmiMessageWdsGetDefaultProfileNumberOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsGetDefaultProfileNumberInput
        ╰── QmiMessageWdsGetDefaultProfileNumberOutput

## Description

## Functions

### qmi_message_wds_get_default_profile_number_input_new ()

    QmiMessageWdsGetDefaultProfileNumberInput *
    qmi_message_wds_get_default_profile_number_input_new
                                   (void);

Allocates a new QmiMessageWdsGetDefaultProfileNumberInput.

#### Returns

the newly created QmiMessageWdsGetDefaultProfileNumberInput. The returned value should be freed with `qmi_message_wds_get_default_profile_number_input_unref()`.

Since: 1.28

### qmi_message_wds_get_default_profile_number_input_ref ()

    QmiMessageWdsGetDefaultProfileNumberInput *
    qmi_message_wds_get_default_profile_number_input_ref
                                   (QmiMessageWdsGetDefaultProfileNumberInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumberInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wds_get_default_profile_number_input_unref ()

    void
    qmi_message_wds_get_default_profile_number_input_unref
                                   (QmiMessageWdsGetDefaultProfileNumberInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumberInput. |

Since: 1.28

### qmi_message_wds_get_default_profile_number_input_get_profile_type ()

    gboolean
    qmi_message_wds_get_default_profile_number_input_get_profile_type
                                   (QmiMessageWdsGetDefaultProfileNumberInput *self,
                                    QmiWdsProfileType *value_profile_type_type,
                                    QmiWdsProfileFamily *value_profile_type_family,
                                    GError **error);

Get the 'Profile Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumberInput. |
value_profile_type_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. | [out]
value_profile_type_family | a placeholder for the output QmiWdsProfileFamily, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_get_default_profile_number_input_set_profile_type ()

    gboolean
    qmi_message_wds_get_default_profile_number_input_set_profile_type
                                   (QmiMessageWdsGetDefaultProfileNumberInput *self,
                                    QmiWdsProfileType value_profile_type_type,
                                    QmiWdsProfileFamily value_profile_type_family,
                                    GError **error);

Set the 'Profile Type' field in the message.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumberInput. |
value_profile_type_type | a QmiWdsProfileType. |
value_profile_type_family | a QmiWdsProfileFamily. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_get_default_profile_number_output_ref ()

    QmiMessageWdsGetDefaultProfileNumberOutput *
    qmi_message_wds_get_default_profile_number_output_ref
                                   (QmiMessageWdsGetDefaultProfileNumberOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumberOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wds_get_default_profile_number_output_unref ()

    void
    qmi_message_wds_get_default_profile_number_output_unref
                                   (QmiMessageWdsGetDefaultProfileNumberOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumberOutput. |

Since: 1.28

### qmi_message_wds_get_default_profile_number_output_get_result ()

    gboolean
    qmi_message_wds_get_default_profile_number_output_get_result
                                   (QmiMessageWdsGetDefaultProfileNumberOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumberOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_message_wds_get_default_profile_number_output_get_index ()

    gboolean
    qmi_message_wds_get_default_profile_number_output_get_index
                                   (QmiMessageWdsGetDefaultProfileNumberOutput *self,
                                    guint8 *value_index,
                                    GError **error);

Get the 'Index' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumberOutput. |
value_index | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_get_default_profile_number_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_get_default_profile_number_output_get_extended_error_code
                                   (QmiMessageWdsGetDefaultProfileNumberOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumberOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_client_wds_get_default_profile_number ()

    void
    qmi_client_wds_get_default_profile_number
                                   (QmiClientWds *self,
                                    QmiMessageWdsGetDefaultProfileNumberInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Default Profile Number request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_default_profile_number_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsGetDefaultProfileNumberInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_wds_get_default_profile_number_finish ()

    QmiMessageWdsGetDefaultProfileNumberOutput *
    qmi_client_wds_get_default_profile_number_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_default_profile_number()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_default_profile_number()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetDefaultProfileNumberOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_default_profile_number_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageWdsGetDefaultProfileNumberInput

    typedef struct _QmiMessageWdsGetDefaultProfileNumberInput QmiMessageWdsGetDefaultProfileNumberInput;

The QmiMessageWdsGetDefaultProfileNumberInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageWdsGetDefaultProfileNumberOutput

    typedef struct _QmiMessageWdsGetDefaultProfileNumberOutput QmiMessageWdsGetDefaultProfileNumberOutput;

The QmiMessageWdsGetDefaultProfileNumberOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28